function swb2(action)
%This is a switchyard program associated with bootdemo.m

cbf=gcbf; %Get callback figure handle

switch(action)

case 'biasest' %Bias Estimation
  set(cbf,'Name','BOOTSTRAP DEMO: Bias Estimation');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','5','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','50','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'correlation coefficient';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'corr(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'varest' %Variance Estimation
  set(cbf,'Name','BOOTSTRAP DEMO: Variance Estimation');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','50','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','25','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'correlation coefficient';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'corr(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'ciestnpb' %Non-Parametric Bootstrap
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation (Non-Parametric Bootstrap)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'correlation coefficient';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'corr(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'ciestpb' %Parametric Bootstrap
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation (Parametric Bootstrap)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'correlation coefficient';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'corr(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu2'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','PARAMETRIC DIST.','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String', {'Normal';'Uniform';'custom...'}, ...
    'Value',1, ...
    'UserData',{'std(X)*randn(n,B)+mean(X)';'max(X)*rand(n,B)';'ceil(n*rand(n,B))'}, ...
    'Visible','on' ...
  );
   
  case 'ciestpt' %Percentile-t
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation (Percentile-t)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','100','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'String','B2','Visible','on');
  set(findobj(cbf,'Tag','EditText_B2'),'String','25','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'correlation coefficient';'custom...'}, ...
    'Value',1, ...
    'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'corr(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
    );

case 'ciestvs' %Variance Stabilisation
  set(cbf,'Name','BOOTSTRAP DEMO: Confidence Interval Estimation (Variance Stabilisation)');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','100','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'String','B2','Visible','on');
  set(findobj(cbf,'Tag','EditText_B2'),'String','25','Visible','on');  
  set(findobj(cbf,'Tag','StaticText_B3'),'String','B3','Visible','on');
  set(findobj(cbf,'Tag','EditText_B3'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','STATISTIC','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
      'String', {'mean';'variance (biased)';'variance (unbiased)';'maximum';'correlation coefficient';'custom...'}, ...
    'Value',1, ...
      'UserData',{'mean(X)';'var(X,1)';'var(X)';'max(X)';'corr(X)';'median(X)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(10,25)';'N(0,1)';'U(0,1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'5*randn(n,MC)+10';'randn(n,MC)';'rand(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'dmf' %Matched Filter Detection
  set(cbf,'Name','BOOTSTRAP DEMO: Matched Filter');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','SIGNAL','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'Sinusoid (f=1/6)';'Sinusoid (f=0.1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'sin(pi/3*[0:n-1]'')';'sin(0.2*pi*[0:n-1]'')';'sin(pi/3*[0:n-1]'')'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'String','NOISE','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu2'), ...
    'String',{'N(0,1)';'U(-1/2,1/2)';'Mixture';'custom...'}, ...
    'Value',1, ...
    'UserData',{'randn(n,MC)';'sqrt(12)*(rand(n,MC)-0.5)';'mixrnd(n,MC)';'trnd(4,n,MC)';1}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','SCENARIO','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'Signal present';'Signal not present'}, ...
    'Value',1, ...
    'Visible','on' ...
  );

case 'dcfarmf' %CFAR Matched Filter Detection
  set(cbf,'Name','BOOTSTRAP DEMO: CFAR Matched Filter');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','10','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','1000','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','SIGNAL','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'Sinusoid (f=1/6)';'Sinusoid (f=0.1)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'sin(pi/3*[0:n-1]'')';'sin(0.2*pi*[0:n-1]'')';'sin(pi/3*[0:n-1]'')'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'String','NOISE','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu2'), ...
    'String',{'N(0,1)';'U(-1/2,1/2)';'Mixture';'custom...'}, ...
    'Value',1, ...
    'UserData',{'randn(n,MC)';'sqrt(12)*(rand(n,MC)-0.5)';'mixrnd(n,MC)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','SCENARIO','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'Signal present';'Signal not present'}, ...
    'Value',1, ...
    'Visible','on' ...
  );

case 'd2scb' %Two-Sensor Signal Detection
  set(cbf,'Name','BOOTSTRAP DEMO: Two-Senor Signal Detection');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','512','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','1','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'String','Signif. Level','Visible','on');
  set(findobj(cbf,'Tag','EditText_alpha'),'String','0.05','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B1','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','100','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','COMMON SIGNAL','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'No signal';'MA(10) exponential';'custom...'}, ...
    'Value',2, ...
    'UserData',{'zeros(n,MC)';'filter([0.04 -0.05 0.07 -0.21 -0.5 0.72 0.36 0 0.21 0.03 0.07],1,exprnd(1,n,MC)-1)';'exprnd(1,n,MC)-1';5}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'String','BACKGROUND NOISE','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu2'), ...
    'String', {'No background noise';'N(0,1)';'AR(1)';'AR(5)';'custom...'}, ...
    'Value',2, ...
    'UserData',{'zeros(n,MC)';'0.1*randn(n,MC)';'0.1*filter(1,[1 0.8],randn(n,MC))';'0.1*filter(1,[1 -0.5 0.6 -0.3 0.4 -0.2],randn(n,MC))';'randn(n,MC)';10}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','SENSOR NOISE','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'No sensor noise';'Exponential';'AR(1) exponential';'AR(5) exponential';'custom...'}, ...
    'Value',1, ...
    'UserData',{'zeros(n,MC)';'0.1*(exprnd(1,n,MC)-1)';'0.1*filter(1,[1 0.8],exprnd(1,n,MC)-1)';'0.1*filter(1,[1 -0.5 0.6 -0.3 0.4 -0.2],exprnd(1,n,MC)-1)';'exprnd(1,n,MC)-1'}, ...
    'Visible','on' ...
    );

case 'modelsel' % Linear Model Selection 
  set(cbf,'Name','BOOTSTRAP DEMO: Linear Model Selection');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','40','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','10','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','100','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B2'),'Visible','off');  
  set(findobj(cbf,'Tag','StaticText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_B3'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','MODEL','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'0.035 t^2-0.0005 t^3'}, ...
    'Value',1, ...
    'UserData',{'0.035*t.^2-0.0005*t.^3'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(0,1)';'U(-1/2,1/2)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'randn(n,MC)';'sqrt(12)*(rand(n,MC)-0.5)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );

case 'polphase' % Polynomial Phase Signal Modelling
  set(cbf,'Name','BOOTSTRAP DEMO: Modelling Polynomial Phase Signals');
  set(findobj(cbf,'Tag','StaticText_N'),'String','No. Samples','Visible','on');
  set(findobj(cbf,'Tag','EditText_N'),'String','64','Visible','on');
  set(findobj(cbf,'Tag','StaticText_MC'),'String','Monte Carlo','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','EditText_MC'),'String','10','Visible','on','Enable','on');
  set(findobj(cbf,'Tag','StaticText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','EditText_alpha'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_B1'),'String','B','Visible','on');
  set(findobj(cbf,'Tag','EditText_B1'),'String','100','Visible','on');
  set(findobj(cbf,'Tag','StaticText_B2'),'String','SNR','Visible','on');
  set(findobj(cbf,'Tag','EditText_B2'),'String','15','Visible','on');  
  set(findobj(cbf,'Tag','StaticText_B3'),'String','Q','Visible','on');
  set(findobj(cbf,'Tag','EditText_B3'),'String','3','Visible','on');
  set(findobj(cbf,'Tag','StaticText_pop1'),'String','PHASE MODEL','Visible','on')
  set(findobj(cbf,'Tag','PopupMenu1'), ...
    'String', {'0.5+0.05 t+0.0002 t^3'}, ...
    'Value',1, ...
    'UserData',{'0.5+0.05.*t+0.0002*t.^3'}, ...
    'Visible','on' ...
  );
  set(findobj(cbf,'Tag','StaticText_pop2'),'Visible','off');
  set(findobj(cbf,'Tag','PopupMenu2'),'Visible','off');
  set(findobj(cbf,'Tag','StaticText_pop3'),'String','DISTRIBUTION','Visible','on');
  set(findobj(cbf,'Tag','PopupMenu3'), ...
    'String',{'N(0,1)';'U(-1/2,1/2)';'custom...'}, ...
    'Value',1, ...
    'UserData',{'randn(n,MC)';'sqrt(12)*(rand(n,MC)-0.5)';'trnd(4,n,MC)'}, ...
    'Visible','on' ...
  );


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
otherwise
  notyet;
  return;
end   

set(findobj(cbf,'Tag','AboutImage'),'Visible','off');
set(findobj(cbf,'Tag','Axes_bar'),'Visible','on');
h=findobj(cbf,'Tag','Axes1'); set(h,'Visible','on');
axes(h); cla; grid off; title(''); xlabel(''); ylabel('');
h=findobj(cbf,'Tag','Pushbutton1'); set(h,'Visible','on');
set(h,'String','Apply','Callback',action);
%set(h,'Callback',['set(gcbf,''Pointer'',''watch'');' action ';set(gcbf,''Pointer'',''arrow'');']);
